=== debian/changelog ===
golang-github-lorenzosaino-go-sysctl (0.3.1+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #1107494)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 21 Aug 2025 22:16:29 -0700
