=== debian/control ===
Source: golang-github-lorenzosaino-go-sysctl
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-google-go-cmp-dev,
 golang-golang-x-exp-dev,
 golang-golang-x-mod-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-tools-dev,
 golang-honnef-go-tools-dev,
 golang-toml-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lorenzosaino-go-sysctl
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lorenzosaino-go-sysctl.git
Homepage: https://github.com/lorenzosaino/go-sysctl
XS-Go-Import-Path: github.com/lorenzosaino/go-sysctl

Package: golang-github-lorenzosaino-go-sysctl-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Go wrapper around the sysctl interface (library)
 This package provides a Go wrapper around the sysctl interface, allowing Go
 programs to read and write kernel parameters at runtime.
 .
 It supports getting and setting single sysctl values, retrieving all values,
 or filtering them by a pattern. It can also apply settings from a
 configuration file, similar to `sysctl -p`.
