=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=debian/.build/upstream --buildsystem=golang
